<!doctype html>
<html lang="en">
  <head>
    <title></title>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <script src="https://cdn.tailwindcss.com"></script>
  </head>

  <body>
    <div class="fixed top-5 left-5">
      <div
        style="width: 20px; height: 20px"
        class="rounded-full bg-red-600 cursor-pointer"
        id="connection-state"
      ></div>
    </div>

    <div class="fixed top-5 right-5">
      <button
        type="button"
        id="settings-button"
        class="bg-gray-500 text-white px-4 py-2 rounded-full ml-3 hover:bg-gray-600"
      >
        Paramètres
      </button>
    </div>

    <!-- 
      ######################### MODAL #########################################
    -->
    <div
      id="modal-overlay"
      class="fixed inset-0 transition-opacity hidden"
      aria-hidden="true"
    >
      <div class="absolute inset-0 bg-gray-500 opacity-75"></div>
    </div>
    <!-- Modal -->
    <div id="modal" class="fixed z-10 inset-0 overflow-y-auto hidden">
      <div
        class="flex items-end justify-center min-h-screen pt-4 px-4 pb-20 text-center sm:block sm:p-0"
      >
        <!-- Modal panel -->
        <div
          class="w-full inline-block align-bottom bg-white rounded-lg text-left overflow-hidden shadow-xl transform transition-all sm:my-8 sm:align-middle sm:max-w-lg sm:w-full"
          role="dialog"
          aria-modal="true"
          aria-labelledby="modal-headline"
        >
          <div class="bg-white px-4 pt-5 pb-4 sm:p-6 sm:pb-4">
            <div class="sm:flex sm:items-start">
              <div
                class="mx-auto flex-shrink-0 flex items-center justify-center h-12 w-12 rounded-full bg-blue-100 sm:mx-0 sm:h-10 sm:w-10"
              ></div>
              <div class="w-full mt-3 text-center sm:mt-0 sm:ml-4 sm:text-left">
                <h3
                  class="text-lg leading-6 font-medium text-gray-900"
                  id="modal-headline"
                >
                  Pour utiliser le Chat vous devez renseigner un Pseudo
                </h3>
                <div class="mt-6">
                  <p class="text-sm text-gray-500">Entrer votre pseudo</p>
                  <!-- Email input -->
                  <form class="flex" id="userName">
                    <input
                      name="userName"
                      id="userName"
                      type="text"
                      class="mt-2 p-2 border border-gray-300 rounded-md w-full focus:outline-none focus:ring focus:border-blue-500"
                    />

                    <button
                      type="submit"
                      class="mt-2 p-2 inline-flex justify-center rounded-md border border-transparent shadow-sm px-4 py-2 bg-blue-500 text-base font-medium text-white hover:bg-blue-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-blue-500 sm:ml-3 sm:w-auto sm:text-sm"
                    >
                      Confirmer
                    </button>
                  </form>
                </div>

                <div class="mt-2">
                  <p class="text-sm text-gray-500">Salon</p>
                  <!-- Email input -->
                  <form id="room" class="flex">
                    <input
                      name="room"
                      id="room"
                      type="text"
                      class="mt-2 p-2 border border-gray-300 rounded-md w-full focus:outline-none focus:ring focus:border-blue-500"
                    />

                    <button
                      type="submite"
                      class="mt-2 p-2 inline-flex justify-center rounded-md border border-transparent shadow-sm px-4 py-2 bg-blue-500 text-base font-medium text-white hover:bg-blue-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-blue-500 sm:ml-3 sm:w-auto sm:text-sm"
                    >
                      Rejoindre
                    </button>
                  </form>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- 
        ########################## END MODAL ###############################
    -->

    <div class="max-w-md mt-24 mx-auto p-4">
      <div class="bg-white rounded-lg shadow-md p-4">
        <div class="flex items-center mb-4">
          <div class="ml-3">
            <p class="text-xl font-medium">Test Chat WebSocket IO</p>
            <p class="text-gray-500">@YoyoRiina</p>
          </div>
        </div>

        <div id="chatbox" class="space-y-4"></div>

        <form id="chat-form">
          <div class="mt-4 flex align-center">
            <input
              name="message"
              id="message"
              type="text"
              placeholder="Votre message..."
              class="flex-1 py-2 px-3 rounded-full bg-gray-100 focus:outline-none"
            />

            <button
              type="submit"
              class="bg-blue-500 text-white px-4 py-2 rounded-full ml-3 hover:bg-blue-600"
            >
              Envoyer
            </button>
          </div>
        </form>
      </div>
    </div>

    <script type="module" src="/script.js"></script>
  </body>
</html>
